import java.lang.Thread;

public class Main
{
    public static void main(String argv[])
    {
        if (argv.length != 2)
        {
            System.out.println("Usage:");
            System.out.println("  main scriptfile mapfile");
            System.exit(-1);
        }
        
        
        RobotModel r = new RobotModel(argv[0], argv[1]);
        int x = 0;
        int y = 0;
        float rot = 0.0f;
        Status s;

        while (true)
        {
            // just sleep for a bit so everything doesn't shoot by too
            // quickly in the frame
            try { Thread.sleep(500); } 
            catch (Exception e) {}

            s = r.getNext();
            if (s == null)
                break;

            rot += s.initialRotation;
            x   += s.distance * Math.cos(rot);
            y   += s.distance * Math.sin(rot);
            rot += s.finalRotation;
            r.addParticle(x,y);

            System.out.println("Initially rotated " + s.initialRotation);
            System.out.println("Moved a distance of " + s.distance);
            System.out.println("Then rotated " + s.finalRotation);
            System.out.println("----------------------------");
            
            r.redraw();
        }

        System.out.println("Done moving.");
    }
};
